Bug 588371 - md: expose behind writes parameter in sysfs
Summary: md: expose behind writes parameter in sysfs
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Doug Ledford
QA Contact: Barry Donahue
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-03 15:15 UTC by Paul Clements
Modified: 2010-11-10 20:53 UTC (History)
2 users (show)

Fixed In Version: kernel-2.6.32-30.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 20:53:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch file (4.30 KB, patch)
2010-05-03 15:15 UTC, Paul Clements
no flags Details | Diff

Description Paul Clements 2010-05-03 15:15:38 UTC
Created attachment 411033 [details]
patch file

Description of problem: There is a limitation in the behind writes capability of the md driver. Particularly, when the counter goes over a certain limit, performance suffers. This patch exposes the counter and allows userspace to deal with the issue.

The patch has been accepted by the maintainer, Neil Brown, and is attached.

Comment 2 RHEL Product and Program Management 2010-05-03 17:05:06 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Doug Ledford 2010-05-18 23:05:04 UTC
I've verified that Neil has accepted the patch, although he has not yet forwarded it on to Linus.  However, the patch is simple enough that I'm not concerned with that at this point.  That it is in Neil's git repo on his md-scratch branch is sufficient for me.

Comment 5 Aristeu Rozanski 2010-05-26 19:18:41 UTC
Patch(es) available on kernel-2.6.32-30.el6

Comment 8 Barry Donahue 2010-09-24 18:23:37 UTC
Verified on RHEL6.0-20100922.1

# ls /sys/block/md0/md/bitmap
backlog  can_clear  chunksize  location  max_backlog_used  metadata  time_base

Comment 9 releng-rhel@redhat.com 2010-11-10 20:53:51 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.